//
//  ForrstAPIViewController.h
//  ForrstAPI
//
//  Created by Benjamin on 05/06/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>

#define kUserAgent @"Cocoa Forrst API Demo"

@class FTForrstEngine;

@interface ForrstDemoViewController : UIViewController {
    FTForrstEngine *forrstEngine;
	
	UIActivityIndicatorView *activityIndicator;
	
	UITextField *usernameTextField;
	UITextField *passwordTextField;
	
	UITextField *randomUsernameTextField;
	UITextField *postIDTextField;
	
	UITextField *postTypeTextField;
	UITextField *pageTextField;
	UITextField *sortTypeTextField;
	
	UITextView *outputTextView;
}

@property (nonatomic, retain) FTForrstEngine *forrstEngine;

@property (nonatomic, retain) IBOutlet UIActivityIndicatorView *activityIndicator;

@property (nonatomic, retain) IBOutlet UITextField *usernameTextField;
@property (nonatomic, retain) IBOutlet UITextField *passwordTextField;

@property (nonatomic, retain) IBOutlet UITextField *randomUsernameTextField;
@property (nonatomic, retain) IBOutlet UITextField *postIDTextField;

@property (nonatomic, retain) IBOutlet UITextField *postTypeTextField;
@property (nonatomic, retain) IBOutlet UITextField *pageTextField;
@property (nonatomic, retain) IBOutlet UITextField *sortTypeTextField;

@property (nonatomic, retain) IBOutlet UITextView *outputTextView;

- (IBAction) login;
- (IBAction) loadUsageStats;
- (IBAction) loadUserInfo;
- (IBAction) loadUserPosts;
- (IBAction) loadPostInfo;
- (IBAction) loadPostsAfter;
- (IBAction) loadPostList;
- (IBAction) loadComments;

- (IBAction) useSSLSwitchValueChanged:(id)sender;

@end
