//
//  FTUsageStatus.h
//  FTForrstEngine
//
//  Created by Benjamin on 10/06/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>

/**********************************************
 ** FTUsageStatus Interface 
 ***********************************************/
@interface FTUsageStatus : NSObject {
	NSUInteger rateLimit;
	NSUInteger callsMade;
}

@property (readonly) NSUInteger rateLimit;
@property (readonly) NSUInteger callsMade;

/* Initializes the ivars from the keys contained in the response dictionary. Response
 * dictionary should be the dictionary returned as the 'resp' property in the server response. 
 * These methods should only be called internally by FTForrstEngine. */
- (id) initWithResponseDictionary:(NSDictionary *)aResponseDictionary;
- (void) setResponseDictionary:(NSDictionary *)aResponseDictionary;

@end
