//
//  FTComment.h
//  ForrstAPI
//
//  Created by Benjamin on 09/06/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>

#import "FTUser.h"

/**********************************************
 ** FTComment Interface 
 ***********************************************/
@interface FTComment : NSObject {
    NSUInteger commentID;
	NSString *text;
	FTUser *createdBy;
	NSDate *createdDate;
	NSDate *updatedDate;
}

@property () NSUInteger commentID;
@property (retain) NSString *text;
@property (retain) FTUser *createdBy;
@property (retain) NSDate *createdDate;
@property (retain) NSDate *updatedDate;

/* Initializes the ivars from the values in aDictionary. aDictionary should be the
 * comment dictionary returned by the server. This should only be called by FTForrstEngine.
 * Other initializers should be used otherwise. */
- (id) initWithCommentDictionary:(NSDictionary *)aCommentDictionary;
- (void) setCommentDictionary:(NSDictionary *)aCommentDictionary;


@end
