//
//  FTComment.m
//  ForrstAPI
//
//  Created by Benjamin on 09/06/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "FTComment.h"

/**********************************************
 ** FTComment Implementation 
 ***********************************************/
@implementation FTComment

@synthesize commentID;
@synthesize text;
@synthesize createdBy;
@synthesize createdDate;
@synthesize updatedDate;

- (void) dealloc
{
	[text release], text = nil;
	[createdBy release], createdBy = nil;
	[createdDate release], createdDate = nil;
	[updatedDate release], updatedDate = nil;
	
	[super dealloc];
}

- (NSString *) description
{
	return [NSString stringWithFormat:@"ID: %i \n Created by: %@", commentID, createdBy.name];
}

#pragma mark -
#pragma mark Initialization

- (id) initWithCommentDictionary:(NSDictionary *)aCommentDictionary
{
	self = [super init];
	if (self)
	{
		[self setCommentDictionary:aCommentDictionary];
	}
	
	return self;
}

#pragma mark -
#pragma mark Instance methods

- (void) setCommentDictionary:(NSDictionary *)aCommentDictionary
{
	
}

@end
