//
//  FTPhoto.m
//  ForrstAPI
//
//  Created by Benjamin on 06/06/11.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "FTPhoto.h"


/**********************************************
 ** FTPhoto Implementation 
 ***********************************************/
@implementation FTPhoto

@synthesize photoURLs;

- (void) dealloc
{
	[photoURLs release], photoURLs = nil;
	
	[super dealloc];
}

#pragma mark -
#pragma mark Initialization

- (id) initWithPhotoURLs:(NSDictionary *)thePhotoURLs
{
	self = [super init];
	if (self)
	{
		photoURLs = [thePhotoURLs retain];
	}
	
	return self;
}

#pragma mark -
#pragma mark Instance methods

- (NSURL *) photoURLForUserPhotoSize:(NSString *)aPhotoSize
{
	NSString *urlString = [self photoURLStringForUserPhotoSize:aPhotoSize];
	
	return [NSURL URLWithString:urlString];
}

- (NSString *) photoURLStringForUserPhotoSize:(NSString *)aPhotoSize
{
	return [photoURLs objectForKey:aPhotoSize];
}

@end

